[arch-commits] Commit in rdiff-backup/repos (3 files)

Felix Yan felixonmars at archlinux.org
Thu Mar 19 12:27:58 UTC 2020


    Date: Thursday, March 19, 2020 @ 12:27:57
  Author: felixonmars
Revision: 600868

archrelease: copy trunk to community-testing-x86_64

Added:
  rdiff-backup/repos/community-testing-x86_64/
  rdiff-backup/repos/community-testing-x86_64/PKGBUILD
    (from rev 600867, rdiff-backup/trunk/PKGBUILD)
  rdiff-backup/repos/community-testing-x86_64/rdiff-backup-1.2.8-librsync-1.0.0.patch
    (from rev 600867, rdiff-backup/trunk/rdiff-backup-1.2.8-librsync-1.0.0.patch)

-----------------------------------------+
 PKGBUILD                                |   69 ++++++++++++++++++++++++++++++
 rdiff-backup-1.2.8-librsync-1.0.0.patch |   20 ++++++++
 2 files changed, 89 insertions(+)

Copied: rdiff-backup/repos/community-testing-x86_64/PKGBUILD (from rev 600867, rdiff-backup/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2020-03-19 12:27:57 UTC (rev 600868)
@@ -0,0 +1,69 @@
+# Maintainer: Lukas Fleischer <lfleischer at archlinux.org>
+# Contributor: Aaron Schaefer <aaron at elasticdog.com>
+# Contributor: Erwin Van de Velde <erwin.vandevelde at gmail.com>
+
+pkgname=rdiff-backup
+pkgver=2.0.0
+_commit=2d40ceba94aa7a66dd5fb95a8225bf70f6821ba7
+pkgrel=1
+pkgdesc='A utility for local/remote mirroring and incremental backups.'
+arch=('x86_64')
+url='https://www.nongnu.org/rdiff-backup/'
+license=('GPL')
+depends=('python' 'librsync')
+makedepends=('git' 'python-setuptools-scm')
+checkdepends=('python-pylibacl' 'python-pyxattr')
+optdepends=('python-pylibacl: access control list support'
+            'python-pyxattr: extended attribute support')
+source=("git+https://github.com/rdiff-backup/rdiff-backup.git#commit=$_commit?signed"
+        git+https://github.com/rdiff-backup/rdiff-backup-filesrepo.git)
+sha512sums=('SKIP'
+            'SKIP')
+validpgpkeys=('B572DE9BC6537B9D5A4735B114C2601BDCA52872'  # Andrew Ferguson
+              '5DE3E0509C47EA3CF04A42D34AEE18F83AFDEB23') # GitHub
+
+build() {
+  cd $pkgname
+  python setup.py build
+}
+
+check() {
+  fakeroot tar xf rdiff-backup-filesrepo/rdiff-backup_testfiles.tar
+  cd $pkgname
+  export PATH="$PWD/build/scripts-3.8:$PATH"
+  export PYTHONPATH="$PWD/build/lib.linux-x86_64-3.8"
+  python testing/commontest.py
+  python testing/ctest.py
+  python testing/timetest.py
+  python testing/librsynctest.py || :  # https://github.com/rdiff-backup/rdiff-backup/issues/304
+  python testing/statisticstest.py
+  python testing/user_grouptest.py || :  # Missing user/group
+  python testing/setconnectionstest.py
+  python testing/iterfiletest.py
+  python testing/longnametest.py
+  python testing/robusttest.py
+  python testing/connectiontest.py
+  python testing/incrementtest.py
+  python testing/hardlinktest.py
+  python testing/eas_aclstest.py
+  python testing/FilenameMappingtest.py
+  python testing/fs_abilitiestest.py
+  python testing/hashtest.py
+  python testing/selectiontest.py || :  # Missing mknod'ed test files
+  python testing/metadatatest.py
+  python testing/rpathtest.py || :  # Permission difference
+  python testing/rorpitertest.py
+  python testing/rdifftest.py
+  python testing/securitytest.py
+  python testing/killtest.py
+  python testing/backuptest.py
+  python testing/comparetest.py
+  python testing/regresstest.py
+  python testing/restoretest.py
+  python testing/cmdlinetest.py
+}
+
+package() {
+  cd $pkgname
+  python setup.py install --root="$pkgdir" -O1
+}

Copied: rdiff-backup/repos/community-testing-x86_64/rdiff-backup-1.2.8-librsync-1.0.0.patch (from rev 600867, rdiff-backup/trunk/rdiff-backup-1.2.8-librsync-1.0.0.patch)
===================================================================
--- community-testing-x86_64/rdiff-backup-1.2.8-librsync-1.0.0.patch	                        (rev 0)
+++ community-testing-x86_64/rdiff-backup-1.2.8-librsync-1.0.0.patch	2020-03-19 12:27:57 UTC (rev 600868)
@@ -0,0 +1,20 @@
+Patch by Roman Tereshonkov and Kari Hautio for rdiff-backup <= 1.2.8 to avoid a build failure with
+librsync >= 1.0.0 (which is a security bugfix release). The discussion and solution finding can be
+found at https://bugs.launchpad.net/duplicity/+bug/1416344 (for duplicity).
+
+--- rdiff-backup-1.2.8/_librsyncmodule.c			2009-03-16 15:36:21.000000000 +0100
++++ rdiff-backup-1.2.8/_librsyncmodule.c.librsync-1.0.0		2015-03-02 00:54:24.000000000 +0100
+@@ -59,8 +59,13 @@
+   if (sm == NULL) return NULL;
+   sm->x_attr = NULL;
+ 
++#ifdef RS_DEFAULT_STRONG_LEN
+   sm->sig_job = rs_sig_begin((size_t)blocklen,
+ 							 (size_t)RS_DEFAULT_STRONG_LEN);
++#else
++  sm->sig_job = rs_sig_begin((size_t)blocklen,
++							 (size_t)8, RS_MD4_SIG_MAGIC);
++#endif
+   return (PyObject*)sm;
+ }
+ 



More information about the arch-commits mailing list